Jump to content


Photo

Jarls adventure pack installed with warnings


  • Please log in to reply
5 replies to this topic

#1 Nathan82

Nathan82
  • Member
  • 13 posts

Posted 22 July 2019 - 10:36 AM

Hello

 

Installing as part of megamod, using Project Infinity

got the following warnings

Does anyone know if they'll cause any actual problems or if they can be fixed?

Thanks

 

[action list near line 169, column 2 of aldeth.dlg] PARSE WARNING at line 169 column 1-36
Near Text: )
    Type mismatch in "Face" argument of [CreateCreature].
    Expecting type "integer".
WARNING: cannot verify action ~CreateCreature("FLAMAL",[281.450],S)
CreateCreature("FFHUNT",[221.425],S)
CreateCreature("FFHUNT",[468.293],S)
CreateCreature("FFHUNT",[503.269],S)
~: Parsing.Parse_error
[action list near line 174, column 2 of aldeth.dlg] PARSE WARNING at line 174 column 1-36
Near Text: )
    Type mismatch in "Face" argument of [CreateCreature].
    Expecting type "integer".
WARNING: cannot verify action ~CreateCreature("FLAMAL",[281.450],S)
CreateCreature("FFHUNT",[221.425],S)
CreateCreature("FFHUNT",[468.293],S)
CreateCreature("FFHUNT",[503.269],S)
~: Parsing.Parse_error



#2 The Imp

The Imp

    Not good, see EVIL is better. You'll LIVE.

  • Member
  • 4876 posts

Posted 22 July 2019 - 11:50 AM

That version is not compatible with the the nonEE based game, because the directional indication is a letter and not a number. Only the EE engine accepts the "S" without the quite marks, as south. It's 6 if I am not totally incorrect in the regular nonEE game.


Yep, Jarno Mikkola. my Mega Mod FAQ. Use of the BWS, and how to use it(scroll down that post a bit). 
OK, desert dweller, welcome to the sanity, you are free to search for the limit, it's out there, we drew it in the sand. Ouh, actually it was still snow then.. but anyways.


#3 Nathan82

Nathan82
  • Member
  • 13 posts

Posted 22 July 2019 - 12:45 PM

Hello

Thanks for the reply.

Im installing JA#BGT_AdvPack as part of BGT megamod, using project infinity to install, using install order from BWS

Got few questions

Is JA#BGT_AdvPack not compatible with BGT?

Can i edit something to return an integer as expected then?

And if so, what exactly?

Thanks



#4 jastey

jastey
  • Staff
  • 2128 posts

Posted 22 July 2019 - 09:26 PM

Jarl's Adventure Pack is ONLY compaible with BGT. The error message doesn't make sense, because the original package uses numbers for the face orientation. What you quoted uses the EE-convention for face orientation and is not in the original.

A. You are not using the original mod package from here

B. Something weird is happening during the install but I really wouldn't know why Project Infinity would change the face orientation syntax - it surely doesn't.

 

All in all, this error message doesn't make any sense to me.


Edited by jastey, 22 July 2019 - 09:27 PM.


#5 Nathan82

Nathan82
  • Member
  • 13 posts

Posted 26 July 2019 - 03:37 PM

Hello

 

I downloaded the mod again using link you provided, looks to be same as what i had used previously but replaced existing version i had with newly downloaded one.

I started the install from scratch and I got the same errors.

I've been checking through the install logs and have seen the same type of error

 

Type mismatch in "Face" argument of [CreateCreature].
    Expecting type "integer".

 

affecting a few different mods.

The mods im using i got via BWS, configred to install BGT, there werent any warnings with what I'd selected so I assumed the mods would be the right ones.

I then used project infinity to do the install.

Not sure whats gone wrong

Thanks for your help though



#6 jastey

jastey
  • Staff
  • 2128 posts

Posted 26 July 2019 - 09:41 PM

Interesting. I can't help you, it's not the mod. One warning, though: the download links provided by BWS are probably outdated. Do not use it to download mods blindly. This is unrelated to your install problem.